docs

# RequestContactKeyboardButton

data class RequestContactKeyboardButton (val text: String ) : KeyboardButton
Content copied to clipboard

Private chats only. When user will tap on this button, his contact (with his number and name) will be sent to the bot. You will be able to catch this contact in updates and data using dev.inmo.tgbotapi.extensions.behaviour_builder.triggers_handling.onContact in case you are using Behaviour Builder OR with dev.inmo.tgbotapi.updateshandlers.FlowsUpdatesFilter.messagesFlow and kotlinx.coroutines.flow.filterIsInstance and filtering by type dev.inmo.tgbotapi.types.message.abstracts.CommonMessage and dev.inmo.tgbotapi.extensions.utils.onlyContactContentMessages

## Constructors

RequestContactKeyboardButton
Link copied to clipboard
fun RequestContactKeyboardButton (text: String )
Content copied to clipboard

## Properties

requestContact
Link copied to clipboard
val requestContact : Boolean = true
Content copied to clipboard
text
Link copied to clipboard
open override val text : String
Content copied to clipboard